SpriteLibrary
SpriteLibrary
SpriteLibrary
SpriteController Class
SpriteController Constructor
SpriteController Constructor (PictureBox)
SpriteController Constructor (PictureBox, EventHandler)

SpriteController Constructor (PictureBox)

Create a sprite controller, specifying the picturebox on which the sprites will be displayed. You want to have the PictureBox already defined, and a background image already set for the PictureBox.

Namespace: SpriteLibrary
Assembly: SpriteLibrary (in SpriteLibrary.dll) Version: 1.0.0.5 (1.0.0.5)
Syntax
C#
Copy

    public SpriteController(
    	PictureBox Area
    )

#### Parameters

Area
  Type: System.Windows.Forms
  PictureBox
  The PictureBox. that the sprites will be drawn in

Examples
This is an example of a Form class that defines a SpriteController. The MainDrawingArea is a PictureBox.
C#
Copy

    public partial class ShootingFieldForm : Form
    {
        public ShootingFieldForm()
        {
            InitializeComponent();
            MainDrawingArea.BackgroundImage = Properties.Resources.Background;
            MainDrawingArea.BackgroundImageLayout = ImageLayout.Stretch;
            MySpriteController = new SpriteController(MainDrawingArea);
        }
    }

See Also

#### Reference

SpriteController Class
SpriteController Overload
SpriteLibrary Namespace